diff -ruN teamspeak3-server.orig/Makefile teamspeak3-server/Makefile
--- teamspeak3-server.orig/Makefile	2011-03-08 18:35:45.385582711 +0000
+++ teamspeak3-server/Makefile	2011-03-08 18:34:39.811764113 +0000
@@ -1,46 +1,81 @@
-# New ports collection makefile for:	teamspeak_server
+# Ports collection Makefile for:	teamspeak3-server
 # Date created:				22 January 2003
 # Whom:					Daniel O'Connor
 #
-# $FreeBSD: ports/audio/teamspeak_server/Makefile,v 1.14 2009/12/05 16:20:12 lippe Exp $
+# $FreeBSD$
 #
 
-PORTNAME=	teamspeak_server
-PORTVERSION=	2.0.24.01
+PORTNAME=	teamspeak3-server
+PORTVERSION=	3.0.0.b30
 CATEGORIES=	audio net
-MASTER_SITES=	ftp://ftp.freenet.de/pub/4players/teamspeak.org/releases/:0 \
-		ftp://ftp.freenet.de/pub/4players/teamspeak.org/developer/server/202401/:1
-DISTFILES=	ts2_server_rc2_202319.tar.bz2:0 server_linux:1
-DIST_SUBDIR=	teamspeak
-EXTRACT_ONLY=	ts2_server_rc2_202319.tar.bz2
+MASTER_SITES=	http://teamspeak.gameserver.gamed.de/ts3/releases/beta-30/ \
+		http://ftp.4players.de/pub/hosted/ts3/releases/beta-30/
+DISTNAME=	${PORTNAME}_freebsd-${TEAMSPEAK_ARCH}-3.0.0-beta30
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	hirner@bitfire.at
 COMMENT=	Server side of the TeamSpeak group voice chat system
 
-WRKSRC=		${WRKDIR}/tss2_rc2
-ONLY_FOR_ARCHS=	i386
+USE_ICONV=	yes
+USE_LDCONFIG=	${PREFIX}/lib/teamspeak/server
+USE_RC_SUBR=	teamspeak
+SUB_FILES=	pkg-message
+
+RESTRICTED=	No redistribution
+ONLY_FOR_ARCHS=	amd64 i386
+
 NO_BUILD=	yes
-USE_LINUX=	yes
-PKGDEINSTALL=	${PKGINSTALL}
 
-USE_RC_SUBR=	teamspeak-server
+USERS=	teamspeak
+GROUPS=	teamspeak
 
-pre-install:
-	@${SETENV} PKG_PREFIX=${PREFIX} \
-		${SH} ${PKGINSTALL} ${PORTNAME} PRE-INSTALL
+LICENSE=	teamspeak
+LICENSE_NAME=	TeamSpeak 3.x End User License Agreement
+LICENSE_PERMS=	dist-mirror pkg-mirror auto-accept
+LICENSE_FILE=	${FILESDIR}/LICENSE
+
+CONFLICTS=	teamspeak_server-[0-9]*
+
+.include <bsd.port.pre.mk>
+
+.if ${ARCH} ==	"i386"
+TEAMSPEAK_ARCH=	x86
+.endif
+.if ${ARCH} ==	"amd64"
+TEAMSPEAK_ARCH=	amd64
+.endif
+WRKSRC=	${WRKDIR}/${PORTNAME}_freebsd-${TEAMSPEAK_ARCH}
+
+DBDIR=	/var/db/teamspeak
+ETCDIR=	${PREFIX}/etc/teamspeak
+LIBDIR=	${PREFIX}/lib/teamspeak/server
+LIBEXECDIR=	${PREFIX}/libexec/
+LOGDIR=	/var/log/teamspeak
+SHAREDIR=	${PREFIX}/share/teamspeak/server
+PORTDOCS=	ts3_serverquery_manual.pdf \
+		permissiondoc.txt \
+		server_quickstart.txt \
+		token_guide.txt \
+		server_upgrade.txt
 
 do-install:
-	@${MKDIR} ${PREFIX}/lib/teamspeak_server
-	${TAR} -C ${WRKSRC} -cf - . | ${TAR} -C ${PREFIX}/lib/teamspeak_server -xf -
-	@${INSTALL_PROGRAM} ${DISTDIR}/${DIST_SUBDIR}/server_linux \
-                 ${PREFIX}/lib/teamspeak_server
+	@${MKDIR} ${LIBDIR} ${SHAREDIR}
+	@${INSTALL_DATA} ${WRKSRC}/CHANGELOG ${SHAREDIR}
+	@${INSTALL_DATA} ${WRKSRC}/LICENSE ${SHAREDIR}
+	@${INSTALL_LIB} ${WRKSRC}/*.so ${LIBDIR}
+	@${INSTALL_PROGRAM} ${WRKSRC}/ts3server_freebsd_${TEAMSPEAK_ARCH} \
+		${LIBEXECDIR}/teamspeak_server
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} "sql serverquerydocs" ${SHAREDIR})
+.if !defined(NOPORTDOCS)
+	@${MKDIR} ${DOCSDIR}
+.   for DOCFILE in ${PORTDOCS}
+	@${INSTALL_DATA} ${WRKSRC}/doc/${DOCFILE} ${DOCSDIR}
+.   endfor
+.endif
 
 post-install:
-	@${SETENV} PKG_PREFIX=${PREFIX} \
-		${SH} ${PKGINSTALL} ${PORTNAME} POST-INSTALL
-
-post-deinstall:
-	@${SETENV} PKG_PREFIX=${PREFIX} \
-		${SH} ${PKGDEINSTALL} ${PORTNAME} POST-DEINSTALL
+	@${MKDIR} ${DBDIR} && ${CHOWN} -R ${USERS}:${GROUPS} ${DBDIR}
+	@${MKDIR} ${ETCDIR}
+	@${MKDIR} ${LOGDIR} && ${CHOWN} -R ${USERS}:${BINGRP} ${LOGDIR}
+	@${CAT} ${WRKDIR}/pkg-message
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
diff -ruN teamspeak3-server.orig/distinfo teamspeak3-server/distinfo
--- teamspeak3-server.orig/distinfo	2011-03-08 18:35:45.382615403 +0000
+++ teamspeak3-server/distinfo	2011-03-08 18:18:03.478105936 +0000
@@ -1,6 +1,4 @@
-MD5 (teamspeak/ts2_server_rc2_202319.tar.bz2) = 05e2bdec80eeed3d935eacb9ada3623e
-SHA256 (teamspeak/ts2_server_rc2_202319.tar.bz2) = 56ae9f2cbb83c04102561ca377cedb6881579a80493b2b0ebf73afe2ac279a67
-SIZE (teamspeak/ts2_server_rc2_202319.tar.bz2) = 1155345
-MD5 (teamspeak/server_linux) = 55dac0e5c05760f1e8232b32a2920db0
-SHA256 (teamspeak/server_linux) = 555a2c0fbb948350fc10f590e9a01f5916eff5394b6ecc28e6dfdaf8a82ba612
-SIZE (teamspeak/server_linux) = 950856
+SHA256 (teamspeak3-server_freebsd-x86-3.0.0-beta30.tar.gz) = 45be0e95722b4f0b4dfa36fb75e399b0037e7df74bf9807851a885e33b377af1
+SIZE (teamspeak3-server_freebsd-x86-3.0.0-beta30.tar.gz) = 3574077
+SHA256 (teamspeak3-server_freebsd-amd64-3.0.0-beta30.tar.gz) = 33f06aac10dcd98b46aab9c941be65c50fbae3b0822ace395fff861cad6b569f
+SIZE (teamspeak3-server_freebsd-amd64-3.0.0-beta30.tar.gz) = 3603432
diff -ruN teamspeak3-server.orig/files/LICENSE teamspeak3-server/files/LICENSE
--- teamspeak3-server.orig/files/LICENSE	1970-01-01 00:00:00.000000000 +0000
+++ teamspeak3-server/files/LICENSE	2011-03-08 18:18:03.558102278 +0000
@@ -0,0 +1,153 @@
+TeamSpeak 3.x - End User License Agreement
+Revised: February 2nd, 2010
+
+THIS IS A LEGAL AGREEMENT between "you", the individual, company, or organization utilizing TeamSpeak brand software, TeamSpeak Systems GmbH, a Kruen, Germany based company, and Triton CI & Associates, Inc., a California, USA based Corporation.
+
+USE OF TEAMSPEAK SOFTWARE INDICATES YOUR ACCEPTANCE OF THESE TERMS.
+
+As used in this Agreement, the term "TeamSpeak software" means TeamSpeak version 3.x voice communication software, both client and server, as made available from www.TeamSpeak.com together with any and all enhancements, upgrades, or updates that may be provided to you by TeamSpeak Systems GmbH.
+
+1. APPLICABLE LAW
+
+All terms in this Agreement relating to ownership, distribution, prohibited conduct, or upgrades to TeamSpeak software, specifically Sections 2, 6, 11, and 12, will be handled by TeamSpeak Systems GmbH in accordance with the laws of Kruen, Germany.
+
+Triton CI & Associates, Inc., is TeamSpeak Systems GmbH's official sales, licensing, and billing partner for TeamSpeak software.  As such, all terms in this Agreement relating to TeamSpeak sales, billing, compliance with licensing, including related issues such as piracy or banning of servers, will be handled by Triton CI & Associates, Inc. in accordance with the laws within the State of California, USA.
+
+2. OWNERSHIP
+
+Ownership of TeamSpeak software and any accompanying documentation shall at all times remain with TeamSpeak Systems GmbH. This Agreement does not constitute the sale of TeamSpeak software or any accompanying documentation, or any portion thereof. Without limiting the generality of the foregoing, you do not receive any rights to any patents, copyrights, trade secrets, trademarks or other intellectual property rights relating to TeamSpeak software or any accompanying documentation. All rights not expressly  granted to you under this Agreement are reserved by TeamSpeak Systems GmbH.
+
+3. DEFINITIONS
+
+3.1 TeamSpeak Client and Server
+TeamSpeak software consists of both a TeamSpeak Client and TeamSpeak Server application.  The TeamSpeak Server is the application which acts as a host and allows two or more client connections to communicate with one another.  The TeamSpeak Client is the application which connects to the TeamSpeak Server and contains end-user functionality which includes initiating a data stream for voice communication with another client connection.  Sample screenshots of both the TeamSpeak Client and Server applications  can be found at http://www.teamspeak.com/?page=screenshots.
+
+3.2 TeamSpeak Software Development Kit (TeamSpeak SDK)
+TeamSpeak software may also consist of a Software Development Kit or SDK.  The TeamSpeak SDK is a set of development tools and documentation which allows software engineers to create customized or integrated applications typically as part of an existing product or service.  The TeamSpeak SDK includes API information, sample code, tools, documentation, and other related items.
+
+3.3 TeamSpeak Virtual Server
+A TeamSpeak Virtual Server is any instance within the TeamSpeak Server application (binary executable) which allows the TeamSpeak Client application to connect.  A single executed TeamSpeak Server application (binary executable) will by default create a single Virtual Server.  However, the TeamSpeak Server application is capable of creating and hosting multiple Virtual Servers within any single running binary executable, where each server contains its own configuration properties which to the end-user may  appear to act as a stand-alone server.
+
+3.4 TeamSpeak Server Slot
+A TeamSpeak Server Slot (or just "slot") is utilized when a single TeamSpeak Client connection is established to any given TeamSpeak Virtual Server.  The maximum "slots" or "slot count" can be individually configured for each Virtual Server and defines the maximum number of users that can simultaneously connect to that Virtual Server at any given time.  For example, a Virtual Server configured for 10 slots will allow up to 10 simultaneous user connections before it generates a "server full" error message  to the 11th user attempting to connect to the same Virtual Server.
+
+3.5 Commercial Entity
+A commercial entity is an individual, company, or organization which demonstrates (typically via but not limited to a website) that it is in business to turn a profit of any kind; be it monetary, from direct sales or rental fees, advertising profit, or through the privileged use of intangible goods and services.
+
+Example of a Commercial Entity:
+A hosting company or organization which charges a monthly fee for the use of a TeamSpeak server OR a hosting company or organization which does NOT charge a monthly fee for the use of a TeamSpeak server but earns substantial profit from advertising, or from other products or services of any kind.
+
+Example of a Commercial Entity profiting from advertising:
+An organization advertising for products or services offered by a hosting company in exchange for the use of a TeamSpeak server means the hosting company will be considered to be a commercial entity, even if they choose not to charge anything at all for the use of any of their TeamSpeak servers.  This situation is commonly referred to as a clan or guild "sponsorship".
+
+Example of a Commercial Entity profiting from intangible goods:
+A "payment" is made to an individual or hosting company using virtual currency (gold, etc.) within a popular massively multiplayer online game (MMOG) in exchange for the use of a TeamSpeak server means the individual or hosting company will be considered to be a commercial entity.
+
+3.6 Non-Profit Entity
+A non-profit entity is an individual or organization which does NOT utilize TeamSpeak software for profit of any kind; be it monetary, from direct sales or rental fees, advertising profit, or intangible goods and services.
+
+Example 1:  A clan or guild hosting a TeamSpeak server for their own private use while complying with all terms and conditions set forth in Section 5.1 of this Agreement. 
+
+Example 2:  An individual hosting a TeamSpeak server for private use to communicate with friends or family over the Internet while complying with all terms and conditions set forth in Section 5.1 of this Agreement.
+
+4. LICENSE FEES
+
+Based on the definitions above, license fees may be applicable to entities utilizing the TeamSpeak Server application.  License fees are NOT applicable to the TeamSpeak Client application.  All Commercial Entities using the TeamSpeak Server application for any reason must pay a license fee, regardless of whether or not they choose to charge fees for the use of their servers.  Non-Profit Entities using the TeamSpeak Server application do not need to pay a license fee; however, these entities must comply wi th the terms and conditions set forth in the License Types applicable to Non-Profit Entities below.  If you are uncertain as to whether you qualify as a Non-Profit Entity you must contact Triton CI & Associates, Inc. via e-mail at sales@tritoncia.com or via http://support.tritoncia.com.
+
+5. LICENSE TYPES
+
+5.1. Non-Profit License: Unregistered
+This license type is for an individual or organization which is non-profit in nature, and does not require registration on our website nor a license key.  An individual or organization operating under this license may install and use TeamSpeak software on one or more physical machines, without paying a license fee, provided that the following conditions are met:
+a. The individual or organization must be non-profit in nature.  TeamSpeak Systems GmbH and Triton CI & Associates, Inc. reserve the right to assess and determine if any individual or organization is non-profit in nature.
+b. The individual or organization may host up to 32 slots using only 1 Virtual Server for their entire operation.  Exceeding the use of 32 slots or 1 Virtual Server over multiple physical machines operated by the same individual or organization is strictly prohibited.
+
+5.2. Non-Profit License: Registered
+This license type is for an individual or organization which is non-profit in nature, and requires registration on our website and the use of a license key.  An individual or organization operating under this license may install and use TeamSpeak software on one or more physical machines, without paying a license fee, provided that the following conditions are met:
+a. The individual or organization must register their operation and apply for this license type via Triton CI & Associates, Inc.'s website at https://sales.tritoncia.com/users/register.php.
+b. The individual or organization must be non-profit in nature.  TeamSpeak Systems GmbH and Triton CI & Associates, Inc. reserve the right to assess and determine if any individual or organization is non-profit in nature.
+c. The individual or organization may host up to 512 slots using a maximum of 10 Virtual Servers for their entire operation.  Any combination of slots or Virtual Servers over multiple physical machines is allowed, as long as the individual or organization does not exceed 512 slots or 10 Virtual Servers.  This is also enforced by the license key which is issued after the registration and approval process has been completed.
+
+5.3. Commercial License for ATHPs (Authorized TeamSpeak Host Providers): Recurs Monthly
+An Authorized TeamSpeak Host Provider License or ATHP License is a license requiring recurring monthly fees.  ATHP Licenses are issued to Commercial Entities (an individual, company, or organization) which rent TeamSpeak servers to others for profit of any kind; be it monetary, from direct sales or rental fees, advertising profit, or through the privileged use of intangible goods and services.  ATHPs are Commercial Entities which typically charge their customers a monthly fee for the use of a TeamSpeak Vi rtual Server or include the Virtual Server as part of other services or offerings to their customers free of charge.  Commercial Entities operating under the Authorized TeamSpeak Host Provider License may install and use TeamSpeak software on one or more physical machines, and must adhere to the following conditions:
+a. ATHPs must register for an account on Triton CI & Associates, Inc.'s website at https://sales.tritoncia.com/users/register.php.
+b. ATHPs are subject to recurring, monthly licensing fees based on the average slot count configured on each Virtual Server hosted by the ATHP during the previous month (e.g. - if a Virtual Server reports being configured for 50 Slots during 15 out of 30 days of the previous month, the Virtual Server will be billed at 25 Slots). These licensing fees are completely indifferent to whether or not an ATHP's customer makes use of their Virtual Server.
+c. ATHPs are billed monthly, in arrears, by Triton CI & Associates, Inc.  All invoices are typically sent on the 1st or 2nd day of every month via email and are also posted to the ATHP's online account via Triton CI & Associates, Inc.'s website at http://sales.tritoncia.com.
+d. Payments are due 15 days after any invoice is generated (NET 15).  It is the ATHP's responsibility to ensure that their invoice is received; whether by the primary email address registered to the ATHP's online account or by a representative of the ATHP ensuring that the ATHP's online account is logged into or checked each month for new invoices.
+e. ATHPs who become 30 or more days past due on their invoice may have their TeamSpeak Servers banned due to non-payment.
+f. ATHPs who consistently fail to pay their invoices on time are subject to having their account or license suspended or revoked.
+g. New ATHPs acknowledge that there will be a $50 setup fee in addition to a minimum monthly license fee of $25 for a minimum slot count of 200.
+h. ATHPs acknowledge that invoices may occasionally reflect inaccurate data due to incorrectly configured slot counts on licensed Virtual Servers (e.g. - test servers accidentally created with high slot counts, or duplicate data reported back to TeamSpeak Systems GmbH during data center migrations, etc.).  As such, invoices are subject to review by both the ATHP and Triton CI & Associates, Inc.  Every effort will be made by Triton CI & Associates, Inc. to determine the best course of action when correctin g or modifying an invoice.
+i. ATHPs acknowledge that slot count data for each Virtual Server hosted by the ATHP is reported daily to TeamSpeak Systems GmbH's tracking server located at accounting.teamspeak.com (IP 62.146.63.84) for the purpose of tracking and billing the ATHP accordingly.
+j. ATHPs may not utilize firewalls or any other tools to prevent communication from their licensed Virtual Servers to TeamSpeak Systems GmbH's tracking server located at accounting.teamspeak.com (IP 62.146.63.84).  All outbound traffic, both TCP and UDP, must be made available to the tracking server AND the organization must ensure that DNS is functioning properly and is able to resolve the hostname accounting.teamspeak.com at all times on all physical machines where Virtual Servers are being hosted.
+k. ATHPs may not alter each individual Virtual Server's slot count on a daily basis (e.g. - via an automated script or third party utility) in order to deliberately or otherwise alter the daily slot count configuration data which is reported to TeamSpeak Systems GmbH's tracking server located at accounting.teamspeak.com (IP 62.146.63.84).
+l. ATHPs may allow resellers to sell their TeamSpeak Virtual Servers; however, the ATHP must ensure that all of their Virtual Server IPs are licensed at all times.  Resellers are not required to register and purchase a separate ATHP license for themselves as long as all Virtual Servers sold by the reseller are licensed through the ATHP.
+
+5.4. Commercial License: Annual Activation
+A Commercial License is a license requiring annual activation.  Commercial Licenses are issued to Commercial Entities (an individual, company, or organization) which utilize TeamSpeak servers in a commercial environment but are not in the business of hosting or renting servers to others for a recurring fee.  Examples include, but are not limited to, Internet Cafes or small businesses using TeamSpeak for internal communication.  Commercial Entities operating under the Commercial License must adhere to the  following conditions:
+a. Commercial Entities must register for an account on Triton CI & Associates, Inc.'s website at https://sales.tritoncia.com/users/register.php.
+b. Upon expiration of the annual licensed term, the Commercial Entity must purchase an additional year of activation in order to continue using TeamSpeak.
+c. Commercial Entities may utilize their license on multiple physical machines, provided the Commercial Entity abides by the limitations on its purchased slots and the maximum number of Virtual Servers for which they are licensed.
+d. Commercial Entities cannot re-sell any portion of their licensed slots or Virtual Servers to others for a recurring fee of any kind.
+
+5.5 Software Development Kit Integration License or "SDK Integration License"
+A Software Development Kit Integration License or SDK Integration License is a license which may require a one-time fee, recurring fees, or other pre-determined fees.  SDK Integration Licenses are typically issued to Commercial Entities (an individual, company, or organization) which utilize TeamSpeak software to create customized or integrated applications as part of an existing product or service.  Commercial Entities operating under the SDK Integration License must adhere to the following conditions:
+a. You may use the TeamSpeak SDK with only one product at a time.  Any intent to utilize the TeamSpeak SDK with a different product will constitute a new Agreement, and new license fees may apply.
+b. You may NOT distribute, sell, lease, rent, lend, or sublicense any part of the TeamSpeak SDK to any third party without prior written consent from TeamSpeak Systems GmbH or Triton CI & Associates, Inc.
+c. You may NOT use the TeamSpeak SDK to design or develop software to upload or otherwise transmit any material containing software viruses or other computer code, files or programs designed to interrupt, destroy, or limit the functionality of any software or hardware.
+d. You may NOT represent that the programs you develop using the TeamSpeak SDK are certified or otherwise endorsed by either TeamSpeak Systems GmbH or Triton CI & Associates, Inc.
+e. You may NOT use the TeamSpeak name or any other trademarks of TeamSpeak Systems GmbH in connection with programs that you develop using the TeamSpeak SDK without prior written consent from TeamSpeak Systems GmbH or Triton CI & Associates, Inc.
+
+6. DISTRIBUTION VIA THE INTERNET
+
+The preferred method of distribution of TeamSpeak software over the Internet is via TeamSpeak Systems GmbH's official website at www.TeamSpeak.com. You may not distribute TeamSpeak software otherwise over the Internet, unless you obtain prior written consent from TeamSpeak Systems GmbH or Triton CI & Associates, Inc. to do so.
+
+7. THIRD PARTY DISTRIBUTION PROHIBITED
+
+Distribution of TeamSpeak software by you to third parties (e.g. - publishers, magazines, third party products, etc.) is also hereby expressly prohibited unless you obtain prior written consent from TeamSpeak Systems GmbH or Triton CI & Associates, Inc. to do so.  
+
+8. TERMINATION
+TeamSpeak Systems GmbH or Triton CI & Associates, Inc. reserves the right to terminate your license for TeamSpeak software at any time or for any reason.  Your license may also be terminated if you are in breach of any of the terms and conditions set forth in this Agreement. Upon termination, you shall immediately discontinue using TeamSpeak software and destroy all copies and related intellectual property in your possession, custody or control.
+
+9. BILLING
+Triton CI & Associates, Inc., is TeamSpeak Systems GmbH's official sales, licensing, and billing partner for TeamSpeak software.  As such, all billing matters for Commercial Entities are handled by Triton CI & Associates, Inc. Any inquiries relating to billing must be e-mailed to sales@tritoncia.com or submitted via Triton CI & Associates, Inc.'s ticket system at http://support.tritoncia.com.
+
+10. PRICING
+TeamSpeak software pricing information for Commercial Entities can be found on Triton CI & Associates, Inc.'s website at http://sales.tritoncia.com/pricing.php.
+
+11. PROHIBITED CONDUCT
+
+You represent and warrant that you will not violate any of the terms and conditions set forth in this Agreement and that:
+
+a. You will not: (I) reverse engineer, decompile, disassemble, derive the source code of, modify, or create derivative works from TeamSpeak software; or (II) use, copy, modify, alter, or transfer, electronically or otherwise, TeamSpeak software or any of the accompanying documentation except as expressly permitted in this Agreement; or (III) redistribute, sell, rent, lease, sublicense, or otherwise transfer rights to TeamSpeak software whether in a stand-alone configuration or as incorporated with other s oftware code written by any party except as expressly permitted in this Agreement.
+b. You will not use TeamSpeak software to engage in or allow others to engage in any illegal activity.
+c. You will not engage in use of TeamSpeak software that will interfere with or damage the operation of the services of third parties by overburdening or disabling network resources through automated queries, excessive usage or similar conduct.
+d. You will not use TeamSpeak software to engage in any activity that will violate the rights of third parties, including, without limitation, through the use, public display, public performance, reproduction, distribution, or modification of communications or materials that infringe copyrights, trademarks, publicity rights, privacy rights, other proprietary rights, or rights against defamation of third parties.
+e. You will not transfer TeamSpeak software or utilize TeamSpeak software in combination with third party software authored by you or others to create an integrated software program which you transfer to unrelated third parties unless you obtain prior written consent from TeamSpeak Systems GmbH or Triton CI & Associates, Inc. to do so.
+
+12. UPGRADES, UPDATES AND ENHANCEMENTS
+
+All upgrades, updates or enhancements of TeamSpeak software shall be deemed to be part of TeamSpeak software and will be subject to this Agreement.
+
+13. LEGENDS AND NOTICES
+
+You agree that you will not remove or alter any trademark, logo, copyright or other proprietary notices, legends, symbols or labels in TeamSpeak software or any accompanying documentation.
+
+14. TERM AND TERMINATION
+
+This Agreement is effective upon your acceptance as provided herein and will remain in force until terminated. Non-Profit Entities may terminate the licenses granted in this Agreement at any time by destroying TeamSpeak software and any accompanying documentation, together with any and all copies thereof. Commercial Entities may terminate the licenses granted in this Agreement at any time by contacting Triton CI & Associates, Inc. via e-mail at sales@tritoncia.com or via http://support.tritoncia.com. The  licenses granted in this Agreement will terminate automatically if you breach any of its terms or conditions or any of the terms or conditions of any other agreement between you and TeamSpeak Systems GmbH or Triton CI & Associates, Inc.
+
+15. SOFTWARE SUGGESTIONS
+
+TeamSpeak Systems GmbH welcomes suggestions for enhancing TeamSpeak software and any accompanying documentation that may result in computer programs, reports, presentations, documents, ideas or inventions relating or useful to TeamSpeak Systems GmbH's business. You acknowledge that all title, ownership rights, and intellectual property rights concerning such suggestions shall become the exclusive property of TeamSpeak Systems GmbH and may be used for its business purposes in its sole discretion without an y payment or accounting to you.
+
+16. MISCELLANEOUS
+
+This Agreement constitutes the entire agreement between the parties concerning TeamSpeak software, and is subject to change by TeamSpeak Systems GmbH or Triton CI & Associates, Inc. at any time. If any provision in this Agreement should be held illegal or unenforceable by a court of competent jurisdiction, such provision shall be modified to the extent necessary to render it enforceable without losing its intent, or severed from this Agreement if no such modification is possible, and other provisions of t his Agreement shall remain in full force and effect. A waiver by either party of any term or condition of this Agreement or any breach thereof, in any one instance, shall not waive such term or condition or any subsequent breach thereof.
+
+17. DISCLAIMER OF WARRANTY
+
+TEAMSPEAK SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE WARRANTIES THAT IT IS FREE OF DEFECTS, VIRUS FREE, ABLE TO OPERATE ON AN UNINTERRUPTED BASIS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE AND AGREEMENT. NO USE OF TEAMSPEAK SOFTWARE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.
+
+18. LIMITATION OF LIABILITY
+
+TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT WILL TEAMSPEAK SYSTEMS GMBH NOR TRITON CI & ASSOCIATES, INC. BE LIABLE FOR ANY INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OF OR INABILITY TO USE TEAMSPEAK SOFTWARE, INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOST PROFITS, LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF ADVISED OF THE POSSIBILITY THEREOF, AND REGARDLESS OF THE LEGAL O R EQUITABLE THEORY (CONTRACT, TORT OR OTHERWISE) UPON WHICH THE CLAIM IS BASED. IN ANY CASE, TEAMSPEAK SYSTEMS' OR TRITON CI & ASSOCIATES, INC.'S COLLECTIVE LIABILITY UNDER ANY PROVISION OF THIS LICENSE SHALL NOT EXCEED IN THE AGGREGATE THE SUM OF THE FEES (IF ANY) YOU PAID FOR THIS LICENSE.
diff -ruN teamspeak3-server.orig/files/pkg-message.in teamspeak3-server/files/pkg-message.in
--- teamspeak3-server.orig/files/pkg-message.in	1970-01-01 00:00:00.000000000 +0000
+++ teamspeak3-server/files/pkg-message.in	2011-03-08 18:18:03.579100698 +0000
@@ -0,0 +1,10 @@
+
+To enable the TeamSpeak server, set
+enable_teamspeak="YES"
+in your /etc/rc.conf and then use it like any other service.
+
+If you have a license file (licensekey.dat) and/or ts3server.ini,
+put it into %%PREFIX%%//etc/teamspeak
+
+To see the admin token after the first start, have a look
+into the logs in /var/log/teamspeak
diff -ruN teamspeak3-server.orig/files/teamspeak-server.in teamspeak3-server/files/teamspeak-server.in
--- teamspeak3-server.orig/files/teamspeak-server.in	2011-03-08 18:35:45.376583497 +0000
+++ teamspeak3-server/files/teamspeak-server.in	1970-01-01 00:00:00.000000000 +0000
@@ -1,38 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD: ports/audio/teamspeak_server/files/teamspeak-server.in,v 1.4 2010/03/27 00:12:43 dougb Exp $
-#
-# PROVIDE: teamspeak
-# REQUIRE: DAEMON
-# KEYWORD: shutdown
-#
-# Add the following lines to /etc/rc.conf.local or /etc/rc.conf
-# to enable this service:
-#
-# teamspeak_enable (bool):	Set to NO by default.
-#				Set it to YES to enable teamspeak.
-#
-
-. /etc/rc.subr
-
-# Set some defaults
-teamspeak_user=${teamspeak_user:-"teamspeak"}
-
-name=teamspeak
-rcvar=${name}_enable
-
-command="%%PREFIX%%/lib/teamspeak_server/server_linux"
-command_args=">/dev/null"
-pidfile="%%PREFIX%%/lib/teamspeak_server/server.pid"
-stop_postcmd="teamspeak_poststop"
-
-teamspeak_poststop()
-{
-	/bin/rm -f "${pidfile}"
-}
-
-load_rc_config $name
-
-: ${teamspeak_enable="NO"}
-
-run_rc_command "$1"
diff -ruN teamspeak3-server.orig/files/teamspeak.in teamspeak3-server/files/teamspeak.in
--- teamspeak3-server.orig/files/teamspeak.in	1970-01-01 00:00:00.000000000 +0000
+++ teamspeak3-server/files/teamspeak.in	2011-03-08 18:18:03.569099532 +0000
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+# $FreeBSD$
+#
+# PROVIDE: teamspeak
+# REQUIRE: networking
+# KEYWORD: shutdown
+#
+# Add the following lines to /etc/rc.conf.local or /etc/rc.conf
+# to enable this service:
+#
+# teamspeak_enable (bool):   Set to NO by default.
+#               Set it to YES to enable teamspeak server.
+#
+
+. /etc/rc.subr
+
+name="teamspeak"
+rcvar=${name}_enable
+
+db_dir=/var/db/teamspeak
+log_dir=/var/log/teamspeak
+
+pidfile=/var/db/teamspeak/teamspeak_server.pid
+procname=%%PREFIX%%/libexec/teamspeak_server
+command=/usr/sbin/daemon
+command_args="-fp $pidfile -u teamspeak %%PREFIX%%/libexec/teamspeak_server dbsqlpath=%%PREFIX%%/share/teamspeak/server/sql/ inifile=%%PREFIX%%/etc/teamspeak/ts3server.ini licensepath=%%PREFIX%%/etc/teamspeak/ logpath=$log_dir"
+teamspeak_chdir=$db_dir
+required_dirs="$db_dir $log_dir"
+
+load_rc_config $name
+
+: ${teamspeak_enable="NO"}
+
+LD_LIBRARY_PATH=%%PREFIX%%/lib/teamspeak/server:$LD_LIBRARY_PATH
+export LD_LIBRARY_PATH
+
+run_rc_command "$1"
diff -ruN teamspeak3-server.orig/pkg-descr teamspeak3-server/pkg-descr
--- teamspeak3-server.orig/pkg-descr	2011-03-08 18:35:45.379583421 +0000
+++ teamspeak3-server/pkg-descr	2011-03-08 18:18:03.500104424 +0000
@@ -1,5 +1,4 @@
-The server for Team Speak a voice chat program which supports multiple
-channels with different rate codecs and several people on each channel.
-Primarily aimed at team gamers but can be used as an IP phone as well.
+A proprietary software which allows groups of people to speak over the Internet.
+This port contains the TeamSpeak 3 server part.
 
 WWW: http://www.teamspeak.com
diff -ruN teamspeak3-server.orig/pkg-install teamspeak3-server/pkg-install
--- teamspeak3-server.orig/pkg-install	2011-03-08 18:35:45.388587385 +0000
+++ teamspeak3-server/pkg-install	1970-01-01 00:00:00.000000000 +0000
@@ -1,72 +0,0 @@
-#! /bin/sh
-
-# $FreeBSD: ports/audio/teamspeak_server/pkg-install,v 1.1 2003/10/08 07:53:26 edwin Exp $
-
-PATH=/bin:/usr/sbin
-TSHOME=${PKG_PREFIX}/lib/teamspeak_server
-
-USER=teamspeak
-GROUP=${USER}
-
-case $2 in
-PRE-INSTALL)
-	if pw group show "${GROUP}" 2>/dev/null; then
-		echo "You already have a group \"${GROUP}\", so I will use it."
-	else
-		if pw groupadd ${GROUP}; then
-			echo "Added group \"${GROUP}\"."
-		else
-			echo "Adding group \"${GROUP}\" failed..."
-			exit 1
-		fi
-	fi
-
-	if pw user show "${USER}" 2>/dev/null; then
-		echo "You already have a user \"${USER}\", so I will use it."
-	else
-		if pw useradd ${USER} -g ${GROUP} -h - \
-			-d ${TSHOME} -c "Teamspeak Server"
-		then
-			echo "Added user \"${USER}\"."
-		else
-			echo "Adding user \"${USER}\" failed..."
-			exit 1
-		fi
-	fi
-
-	if ! [ -x ~${USER} ] ; then 
-		mkdir -p ${TSHOME}
-		chown ${USER}:${GROUP} ${TSHOME}
-	fi
-	;;
-
-POST-INSTALL)
-	chown -R ${USER}:${GROUP} ${TSHOME}
-	chmod -R u+w,o-rx ${TSHOME}
-	;;
-
-
-POST-DEINSTALL)
-	if pw group show "${GROUP}" 2>/dev/null; then
-		if pw groupdel ${GROUP}; then
-			echo "Removed group \"${GROUP}\"."
-		else
-			echo "Removing group \"${GROUP}\" failed..."
-			exit 1
-		fi
-	else
-		echo "Group \"${GROUP}\" doesn't exist!"
-	fi
-
-	if pw user show "${USER}" 2>/dev/null; then
-		if pw userdel ${USER}; then
-			echo "Removed user \"${USER}\"."
-		else
-			echo "Removing user \"${USER}\" failed..."
-			exit 1
-		fi
-	else
-		echo "User \"${USER}\" doesn't exist!"
-	fi
-	;;
-esac
diff -ruN teamspeak3-server.orig/pkg-plist teamspeak3-server/pkg-plist
--- teamspeak3-server.orig/pkg-plist	2011-03-08 18:35:45.392585421 +0000
+++ teamspeak3-server/pkg-plist	2011-03-08 18:18:03.431103519 +0000
@@ -1,254 +1,247 @@
-lib/teamspeak_server/INSTALL
-lib/teamspeak_server/INSTALL.mysql
-lib/teamspeak_server/LICENSE
-lib/teamspeak_server/Manual/C1H_HTML.css
-lib/teamspeak_server/Manual/DocToHelp.js
-lib/teamspeak_server/Manual/RC2servermanual-blank.htm
-lib/teamspeak_server/Manual/RC2servermanual-css.rtf
-lib/teamspeak_server/Manual/RC2servermanual-index.htm
-lib/teamspeak_server/Manual/RC2servermanual-toc.htm
-lib/teamspeak_server/Manual/RC2servermanuallinux
-lib/teamspeak_server/Manual/_TeamSpeak RC2 Server manual-1.png
-lib/teamspeak_server/Manual/administration1.htm
-lib/teamspeak_server/Manual/back.gif
-lib/teamspeak_server/Manual/bandwidthandcodecs1.htm
-lib/teamspeak_server/Manual/button.gif
-lib/teamspeak_server/Manual/closed.gif
-lib/teamspeak_server/Manual/closingdowntheserver4.htm
-lib/teamspeak_server/Manual/closingdowntheserver5.htm
-lib/teamspeak_server/Manual/default.htm
-lib/teamspeak_server/Manual/frequentlyaskedquestions1.htm
-lib/teamspeak_server/Manual/howtoruntheteamspeakserverasaserviceunderwinxpand20001.htm
-lib/teamspeak_server/Manual/installingtheserver4.htm
-lib/teamspeak_server/Manual/installingtheserver5.htm
-lib/teamspeak_server/Manual/lastnotes1.htm
-lib/teamspeak_server/Manual/licensing1.htm
-lib/teamspeak_server/Manual/linuxinstalling.htm
-lib/teamspeak_server/Manual/loggingin1.htm
-lib/teamspeak_server/Manual/login.png
-lib/teamspeak_server/Manual/logout1.htm
-lib/teamspeak_server/Manual/mainconfig1.htm
-lib/teamspeak_server/Manual/miscellaneous1.htm
-lib/teamspeak_server/Manual/open.gif
-lib/teamspeak_server/Manual/ports1.htm
-lib/teamspeak_server/Manual/qilostmyserveradminpassword.htm
-lib/teamspeak_server/Manual/qwhatportsdoestheserveruse.htm
-lib/teamspeak_server/Manual/qwhatsupportdoesteamspeakoffer.htm
-lib/teamspeak_server/Manual/requirementstoruntheteamspeak2server1.htm
-lib/teamspeak_server/Manual/serverpermissions1.htm
-lib/teamspeak_server/Manual/serversettings.png
-lib/teamspeak_server/Manual/serversettings1.htm
-lib/teamspeak_server/Manual/startingtheserver1.htm
-lib/teamspeak_server/Manual/startinguptheserver1.htm
-lib/teamspeak_server/Manual/superadmin1.htm
-lib/teamspeak_server/Manual/superadminservers.png
-lib/teamspeak_server/Manual/superadminstart.png
-lib/teamspeak_server/Manual/tcpqueryfunction1.htm
-lib/teamspeak_server/Manual/teamspeak.gif
-lib/teamspeak_server/Manual/teamspeakrc2servermanual1.htm
-lib/teamspeak_server/Manual/toc.css
-lib/teamspeak_server/Manual/topic.gif
-lib/teamspeak_server/Manual/usermanager.png
-lib/teamspeak_server/Manual/usermanager1.htm
-lib/teamspeak_server/Manual/webadminningtheserver1.htm
-lib/teamspeak_server/Manual/webpost2.htm
-lib/teamspeak_server/Manual/webpost3.htm
-lib/teamspeak_server/Manual/whatistheteamspeak2server1.htm
-lib/teamspeak_server/Manual/whatsnewinteamspeakreleasecandidate21.htm
-lib/teamspeak_server/Manual/windowsinstalling.htm
-lib/teamspeak_server/Manual/yourips1.htm
-lib/teamspeak_server/README
-lib/teamspeak_server/httpdocs/choice_box.html
-lib/teamspeak_server/httpdocs/database_client_manager.html
-lib/teamspeak_server/httpdocs/database_client_manager_add.html
-lib/teamspeak_server/httpdocs/database_client_manager_clientlist.html
-lib/teamspeak_server/httpdocs/database_client_manager_edit.html
-lib/teamspeak_server/httpdocs/database_sclient_manager.html
-lib/teamspeak_server/httpdocs/database_sclient_manager_add.html
-lib/teamspeak_server/httpdocs/database_sclient_manager_clientlist.html
-lib/teamspeak_server/httpdocs/database_sclient_manager_edit.html
-lib/teamspeak_server/httpdocs/error_box.html
-lib/teamspeak_server/httpdocs/footer.html
-lib/teamspeak_server/httpdocs/gfx/add_client.png
-lib/teamspeak_server/httpdocs/gfx/add_server.png
-lib/teamspeak_server/httpdocs/gfx/delete.png
-lib/teamspeak_server/httpdocs/gfx/edit.png
-lib/teamspeak_server/httpdocs/gfx/global_settings.jpg
-lib/teamspeak_server/httpdocs/gfx/headerline.gif
-lib/teamspeak_server/httpdocs/gfx/help.gif
-lib/teamspeak_server/httpdocs/gfx/helpnav.jpg
-lib/teamspeak_server/httpdocs/gfx/helppages.jpg
-lib/teamspeak_server/httpdocs/gfx/helppages.png
-lib/teamspeak_server/httpdocs/gfx/menu_background.gif
-lib/teamspeak_server/httpdocs/gfx/permissions.jpg
-lib/teamspeak_server/httpdocs/gfx/pixel.gif
-lib/teamspeak_server/httpdocs/gfx/select.png
-lib/teamspeak_server/httpdocs/gfx/select_short.png
-lib/teamspeak_server/httpdocs/gfx/server-run.png
-lib/teamspeak_server/httpdocs/gfx/server-stop.png
-lib/teamspeak_server/httpdocs/gfx/server_icon.png
-lib/teamspeak_server/httpdocs/gfx/server_overview.jpg
-lib/teamspeak_server/httpdocs/gfx/server_settings.jpg
-lib/teamspeak_server/httpdocs/gfx/serveradminlogin.gif
-lib/teamspeak_server/httpdocs/gfx/servers.jpg
-lib/teamspeak_server/httpdocs/gfx/superadmin_manager.jpg
-lib/teamspeak_server/httpdocs/gfx/uhr_icon.png
-lib/teamspeak_server/httpdocs/gfx/under_hl.gif
-lib/teamspeak_server/httpdocs/gfx/user_icon.png
-lib/teamspeak_server/httpdocs/gfx/user_manager.jpg
-lib/teamspeak_server/httpdocs/gfx/vBulletin_logo.gif
-lib/teamspeak_server/httpdocs/header.html
-lib/teamspeak_server/httpdocs/help/global_settings.html
-lib/teamspeak_server/httpdocs/help/permissions_general.html
-lib/teamspeak_server/httpdocs/help/server_overview.html
-lib/teamspeak_server/httpdocs/help/server_settings.html
-lib/teamspeak_server/httpdocs/help/servers.html
-lib/teamspeak_server/httpdocs/help/superadmin_manager.html
-lib/teamspeak_server/httpdocs/help/user_manager.html
-lib/teamspeak_server/httpdocs/index.html
-lib/teamspeak_server/httpdocs/login.html
-lib/teamspeak_server/httpdocs/login_error.html
-lib/teamspeak_server/httpdocs/menu_bottom.html
-lib/teamspeak_server/httpdocs/menu_top.html
-lib/teamspeak_server/httpdocs/ok_box.html
-lib/teamspeak_server/httpdocs/server_basic_settings.html
-lib/teamspeak_server/httpdocs/server_country_option.html
-lib/teamspeak_server/httpdocs/server_manager.html
-lib/teamspeak_server/httpdocs/server_manager_add.html
-lib/teamspeak_server/httpdocs/server_manager_grouppermission.html
-lib/teamspeak_server/httpdocs/server_manager_overview.html
-lib/teamspeak_server/httpdocs/server_manager_permission.html
-lib/teamspeak_server/httpdocs/server_manager_permission_ca.html
-lib/teamspeak_server/httpdocs/server_manager_permission_op.html
-lib/teamspeak_server/httpdocs/server_manager_permission_r.html
-lib/teamspeak_server/httpdocs/server_manager_permission_sa.html
-lib/teamspeak_server/httpdocs/server_manager_permission_u.html
-lib/teamspeak_server/httpdocs/server_manager_permission_v.html
-lib/teamspeak_server/httpdocs/server_manager_permissionfield.html
-lib/teamspeak_server/httpdocs/server_manager_serverlist.html
-lib/teamspeak_server/httpdocs/server_manager_servers.html
-lib/teamspeak_server/httpdocs/server_manager_servers_list.html
-lib/teamspeak_server/httpdocs/server_manager_settings.html
-lib/teamspeak_server/httpdocs/slogin.html
-lib/teamspeak_server/libsqlmy.so
-lib/teamspeak_server/manual.html
-lib/teamspeak_server/mysql_sql/create_bans.sql
-lib/teamspeak_server/mysql_sql/create_channel_privileges.sql
-lib/teamspeak_server/mysql_sql/create_channels.sql
-lib/teamspeak_server/mysql_sql/create_clients.sql
-lib/teamspeak_server/mysql_sql/create_server_privileges.sql
-lib/teamspeak_server/mysql_sql/create_servers.sql
-lib/teamspeak_server/server_linux
-lib/teamspeak_server/sqlite.so
-lib/teamspeak_server/sqlite_sql/create_bans.sql
-lib/teamspeak_server/sqlite_sql/create_channel_privileges.sql
-lib/teamspeak_server/sqlite_sql/create_channels.sql
-lib/teamspeak_server/sqlite_sql/create_clients.sql
-lib/teamspeak_server/sqlite_sql/create_nicks.sql
-lib/teamspeak_server/sqlite_sql/create_server_privileges.sql
-lib/teamspeak_server/sqlite_sql/create_servers.sql
-lib/teamspeak_server/sqlite_sql/create_settings.sql
-lib/teamspeak_server/sqlite_sql/delete_ban.sql
-lib/teamspeak_server/sqlite_sql/delete_ban_ip.sql
-lib/teamspeak_server/sqlite_sql/delete_channel.sql
-lib/teamspeak_server/sqlite_sql/delete_channel_privilege.sql
-lib/teamspeak_server/sqlite_sql/delete_client.sql
-lib/teamspeak_server/sqlite_sql/delete_server.sql
-lib/teamspeak_server/sqlite_sql/edit_channel.sql
-lib/teamspeak_server/sqlite_sql/edit_channel_privilege.sql
-lib/teamspeak_server/sqlite_sql/edit_client.sql
-lib/teamspeak_server/sqlite_sql/edit_client_lastonline.sql
-lib/teamspeak_server/sqlite_sql/edit_server.sql
-lib/teamspeak_server/sqlite_sql/edit_server_privilege.sql
-lib/teamspeak_server/sqlite_sql/new_ban.sql
-lib/teamspeak_server/sqlite_sql/new_channel.sql
-lib/teamspeak_server/sqlite_sql/new_channel_privilege.sql
-lib/teamspeak_server/sqlite_sql/new_client.sql
-lib/teamspeak_server/sqlite_sql/new_server.sql
-lib/teamspeak_server/sqlite_sql/new_server_privilege.sql
-lib/teamspeak_server/sqlite_sql/read_active_servers.sql
-lib/teamspeak_server/sqlite_sql/read_bans.sql
-lib/teamspeak_server/sqlite_sql/read_channel.sql
-lib/teamspeak_server/sqlite_sql/read_channel_privilege.sql
-lib/teamspeak_server/sqlite_sql/read_channel_privileges.sql
-lib/teamspeak_server/sqlite_sql/read_channels.sql
-lib/teamspeak_server/sqlite_sql/read_client_channels_privileges.sql
-lib/teamspeak_server/sqlite_sql/read_client_login.sql
-lib/teamspeak_server/sqlite_sql/read_clients.sql
-lib/teamspeak_server/sqlite_sql/read_clients_id.sql
-lib/teamspeak_server/sqlite_sql/read_clients_name.sql
-lib/teamspeak_server/sqlite_sql/read_server.sql
-lib/teamspeak_server/sqlite_sql/read_server_port.sql
-lib/teamspeak_server/sqlite_sql/read_server_privilege.sql
-lib/teamspeak_server/sqlite_sql/read_servers.sql
-lib/teamspeak_server/sqlite_sql/remove_bans.sql
-lib/teamspeak_server/sqlite_sql/remove_moderatedattribs.sql
-lib/teamspeak_server/sqlite_sql/search_client.sql
-lib/teamspeak_server/sqlite_sql/upgrade_1.sql
-lib/teamspeak_server/sqlite_sql/upgrade_2.sql
-lib/teamspeak_server/sqlite_sql/upgrade_3.sql
-lib/teamspeak_server/tcpquerydocs/banadd.txt
-lib/teamspeak_server/tcpquerydocs/banclear.txt
-lib/teamspeak_server/tcpquerydocs/bandel.txt
-lib/teamspeak_server/tcpquerydocs/banlist.txt
-lib/teamspeak_server/tcpquerydocs/banplayer.txt
-lib/teamspeak_server/tcpquerydocs/checkserverok.txt
-lib/teamspeak_server/tcpquerydocs/ci.txt
-lib/teamspeak_server/tcpquerydocs/cl.txt
-lib/teamspeak_server/tcpquerydocs/dbci.txt
-lib/teamspeak_server/tcpquerydocs/dbfp.txt
-lib/teamspeak_server/tcpquerydocs/dbpi.txt
-lib/teamspeak_server/tcpquerydocs/dbserverlist.txt
-lib/teamspeak_server/tcpquerydocs/dbsuseradd.txt
-lib/teamspeak_server/tcpquerydocs/dbsuserchangepw.txt
-lib/teamspeak_server/tcpquerydocs/dbsuserdel.txt
-lib/teamspeak_server/tcpquerydocs/dbsuserlist.txt
-lib/teamspeak_server/tcpquerydocs/dbuseradd.txt
-lib/teamspeak_server/tcpquerydocs/dbuserchangeattribs.txt
-lib/teamspeak_server/tcpquerydocs/dbuserchangepw.txt
-lib/teamspeak_server/tcpquerydocs/dbuserdel.txt
-lib/teamspeak_server/tcpquerydocs/dbuserid.txt
-lib/teamspeak_server/tcpquerydocs/dbuserlist.txt
-lib/teamspeak_server/tcpquerydocs/dccl.txt
-lib/teamspeak_server/tcpquerydocs/fc.txt
-lib/teamspeak_server/tcpquerydocs/fp.txt
-lib/teamspeak_server/tcpquerydocs/gapl.txt
-lib/teamspeak_server/tcpquerydocs/gi.txt
-lib/teamspeak_server/tcpquerydocs/globalset.txt
-lib/teamspeak_server/tcpquerydocs/globalset.txt.bak
-lib/teamspeak_server/tcpquerydocs/help.txt
-lib/teamspeak_server/tcpquerydocs/ki.txt
-lib/teamspeak_server/tcpquerydocs/kick.txt
-lib/teamspeak_server/tcpquerydocs/lc.txt
-lib/teamspeak_server/tcpquerydocs/log.txt
-lib/teamspeak_server/tcpquerydocs/logfind.txt
-lib/teamspeak_server/tcpquerydocs/login.txt
-lib/teamspeak_server/tcpquerydocs/logmark.txt
-lib/teamspeak_server/tcpquerydocs/mptc.txt
-lib/teamspeak_server/tcpquerydocs/msg.txt
-lib/teamspeak_server/tcpquerydocs/msgall.txt
-lib/teamspeak_server/tcpquerydocs/msgu.txt
-lib/teamspeak_server/tcpquerydocs/pi.txt
-lib/teamspeak_server/tcpquerydocs/pl.txt
-lib/teamspeak_server/tcpquerydocs/rehash.txt
-lib/teamspeak_server/tcpquerydocs/removeclient.txt
-lib/teamspeak_server/tcpquerydocs/sel.txt
-lib/teamspeak_server/tcpquerydocs/serveradd.txt
-lib/teamspeak_server/tcpquerydocs/serverdel.txt
-lib/teamspeak_server/tcpquerydocs/serverset.txt
-lib/teamspeak_server/tcpquerydocs/serverstart.txt
-lib/teamspeak_server/tcpquerydocs/serverstop.txt
-lib/teamspeak_server/tcpquerydocs/si.txt
-lib/teamspeak_server/tcpquerydocs/sl.txt
-lib/teamspeak_server/tcpquerydocs/slogin.txt
-lib/teamspeak_server/tcpquerydocs/sppriv.txt
-lib/teamspeak_server/tcpquerydocs/ver.txt
-lib/teamspeak_server/teamspeak2-server_startscript
-@dirrm lib/teamspeak_server/tcpquerydocs
-@dirrm lib/teamspeak_server/sqlite_sql
-@dirrm lib/teamspeak_server/mysql_sql
-@dirrm lib/teamspeak_server/httpdocs/help
-@dirrm lib/teamspeak_server/httpdocs/gfx
-@dirrm lib/teamspeak_server/httpdocs
-@dirrm lib/teamspeak_server/Manual
-@dirrm lib/teamspeak_server
+@stopdaemon teamspeak
+lib/teamspeak/server/libts3db_sqlite3.so
+lib/teamspeak/server/libts3db_mysql.so
+@dirrm lib/teamspeak/server
+@dirrmtry lib/teamspeak
+share/teamspeak/server/LICENSE
+share/teamspeak/server/CHANGELOG
+share/teamspeak/server/sql/server_clear_traffic_stats.sql
+share/teamspeak/server/sql/token_get_by_key.sql
+share/teamspeak/server/sql/perm_insert.sql
+share/teamspeak/server/sql/message_insert.sql
+share/teamspeak/server/sql/perm_update_get_groups.sql
+share/teamspeak/server/sql/server_update_traffic_stats.sql
+share/teamspeak/server/sql/message_list_by_clientid.sql
+share/teamspeak/server/sql/update_15.sql
+share/teamspeak/server/sql/client_count_by_serverid.sql
+share/teamspeak/server/sql/perm_get_by_serverid.sql
+share/teamspeak/server/sql/server_delete_get_qa_clients.sql
+share/teamspeak/server/sql/update_database_version.sql
+share/teamspeak/server/sql/ban_list.sql
+share/teamspeak/server/sql/defaults.sql
+share/teamspeak/server/sql/properties_list_by_id.sql
+share/teamspeak/server/sql/custom_insert.sql
+share/teamspeak/server/sql/properties_delete_by_string_id.sql
+share/teamspeak/server/sql/channel_delete.sql
+share/teamspeak/server/sql/server_snapshot_delete_failed.sql
+share/teamspeak/server/sql/bindings_insert.sql
+share/teamspeak/server/sql/create_sqlite/drop_tables.sql
+share/teamspeak/server/sql/create_sqlite/create_tables.sql
+share/teamspeak/server/sql/group_id_get_by_name.sql
+share/teamspeak/server/sql/perm_delete_by_serverid.sql
+share/teamspeak/server/sql/log_insert.sql
+share/teamspeak/server/sql/channel_update_parentid.sql
+share/teamspeak/server/sql/client_get_by_serverid_limit.sql
+share/teamspeak/server/sql/properties_delete_by_id.sql
+share/teamspeak/server/sql/ban_insert.sql
+share/teamspeak/server/sql/custom_delete_by_clientid.sql
+share/teamspeak/server/sql/custom_get_by_ident.sql
+share/teamspeak/server/sql/server_snapshot_delete.sql
+share/teamspeak/server/sql/custom_get_by_id.sql
+share/teamspeak/server/sql/groups_get.sql
+share/teamspeak/server/sql/channel_server_list.sql
+share/teamspeak/server/sql/message_delete.sql
+share/teamspeak/server/sql/log_delete.sql
+share/teamspeak/server/sql/update_16.sql
+share/teamspeak/server/sql/client_get_by_uid.sql
+share/teamspeak/server/sql/token_list.sql
+share/teamspeak/server/sql/group_member_detail_get_by_groupid.sql
+share/teamspeak/server/sql/channel_insert.sql
+share/teamspeak/server/sql/group_rename.sql
+share/teamspeak/server/sql/properties_insert_by_string_id.sql
+share/teamspeak/server/sql/client_get_by_name_or_uid.sql
+share/teamspeak/server/sql/client_insert.sql
+share/teamspeak/server/sql/message_update_flag.sql
+share/teamspeak/server/sql/client_delete.sql
+share/teamspeak/server/sql/client_get.sql
+share/teamspeak/server/sql/message_get_unread_by_clientid.sql
+share/teamspeak/server/sql/info_delete.sql
+share/teamspeak/server/sql/client_get_by_id.sql
+share/teamspeak/server/sql/properties_insert_by_id.sql
+share/teamspeak/server/sql/group_member_delete_by_groupid.sql
+share/teamspeak/server/sql/message_get_by_clientid.sql
+share/teamspeak/server/sql/complain_delete.sql
+share/teamspeak/server/sql/token_insert.sql
+share/teamspeak/server/sql/properties_list_by_string_id.sql
+share/teamspeak/server/sql/update_13.sql
+share/teamspeak/server/sql/client_clear_traffic_stats.sql
+share/teamspeak/server/sql/client_delete_prune.sql
+share/teamspeak/server/sql/group_delete.sql
+share/teamspeak/server/sql/groups_get_by_serverid_type.sql
+share/teamspeak/server/sql/complain_delete_all.sql
+share/teamspeak/server/sql/server_list.sql
+share/teamspeak/server/sql/server_insert.sql
+share/teamspeak/server/sql/clientid_get_by_name_pw_serverid.sql
+share/teamspeak/server/sql/server_update_autostart.sql
+share/teamspeak/server/sql/server_get_byid.sql
+share/teamspeak/server/sql/info_get_by_ident.sql
+share/teamspeak/server/sql/log_list_comparator_ordered.sql
+share/teamspeak/server/sql/group_member_get.sql
+share/teamspeak/server/sql/ban_delete.sql
+share/teamspeak/server/sql/client_update_traffic_stats.sql
+share/teamspeak/server/sql/update_14.sql
+share/teamspeak/server/sql/clientid_get_by_name_pw.sql
+share/teamspeak/server/sql/token_delete_by_key.sql
+share/teamspeak/server/sql/log_list.sql
+share/teamspeak/server/sql/client_update_login_info.sql
+share/teamspeak/server/sql/group_insert.sql
+share/teamspeak/server/sql/group_members_get_by_serverid.sql
+share/teamspeak/server/sql/server_update_port.sql
+share/teamspeak/server/sql/server_update_machine_id.sql
+share/teamspeak/server/sql/complain_insert.sql
+share/teamspeak/server/sql/groups_get_by_serverid.sql
+share/teamspeak/server/sql/info_insert.sql
+share/teamspeak/server/sql/server_get_byport.sql
+share/teamspeak/server/sql/client_update_stats.sql
+share/teamspeak/server/sql/group_member_delete.sql
+share/teamspeak/server/sql/client_update_name.sql
+share/teamspeak/server/sql/server_delete.sql
+share/teamspeak/server/sql/binding_delete.sql
+share/teamspeak/server/sql/client_get_by_serverid.sql
+share/teamspeak/server/sql/update_12.sql
+share/teamspeak/server/sql/perm_get_by_id.sql
+share/teamspeak/server/sql/perm_delete_by_permid.sql
+share/teamspeak/server/sql/group_member_insert.sql
+share/teamspeak/server/sql/complain_get_by_serverid.sql
+share/teamspeak/server/sql/group_members_get_by_id.sql
+share/teamspeak/server/sql/perm_delete_by_groupid.sql
+share/teamspeak/server/sql/bindings_list.sql
+share/teamspeak/server/sql/create_mysql/drop_tables.sql
+share/teamspeak/server/sql/create_mysql/create_tables.sql
+share/teamspeak/server/sql/group_members_get_by_groupid.sql
+share/teamspeak/server/sql/log_list_comparator.sql
+share/teamspeak/server/serverquerydocs/serverdelete.txt
+share/teamspeak/server/serverquerydocs/sendtextmessage.txt
+share/teamspeak/server/serverquerydocs/clientfind.txt
+share/teamspeak/server/serverquerydocs/clientdbfind.txt
+share/teamspeak/server/serverquerydocs/permfind.txt
+share/teamspeak/server/serverquerydocs/clientkick.txt
+share/teamspeak/server/serverquerydocs/serveridgetbyport.txt
+share/teamspeak/server/serverquerydocs/privilegekeyadd.txt
+share/teamspeak/server/serverquerydocs/permidgetbyname.txt
+share/teamspeak/server/serverquerydocs/servergrouppermlist.txt
+share/teamspeak/server/serverquerydocs/channelfind.txt
+share/teamspeak/server/serverquerydocs/servergroupclientlist.txt
+share/teamspeak/server/serverquerydocs/logout.txt
+share/teamspeak/server/serverquerydocs/servercreate.txt
+share/teamspeak/server/serverquerydocs/ftdeletefile.txt
+share/teamspeak/server/serverquerydocs/whoami.txt
+share/teamspeak/server/serverquerydocs/serversnapshotdeploy.txt
+share/teamspeak/server/serverquerydocs/help.txt
+share/teamspeak/server/serverquerydocs/channelpermlist.txt
+share/teamspeak/server/serverquerydocs/servergrouprename.txt
+share/teamspeak/server/serverquerydocs/tokenuse.txt
+share/teamspeak/server/serverquerydocs/bandelall.txt
+share/teamspeak/server/serverquerydocs/servergrouplist.txt
+share/teamspeak/server/serverquerydocs/clientaddperm.txt
+share/teamspeak/server/serverquerydocs/ftinitupload.txt
+share/teamspeak/server/serverquerydocs/channelcreate.txt
+share/teamspeak/server/serverquerydocs/privilegekeyuse.txt
+share/teamspeak/server/serverquerydocs/clientmove.txt
+share/teamspeak/server/serverquerydocs/channelgrouplist.txt
+share/teamspeak/server/serverquerydocs/messageadd.txt
+share/teamspeak/server/serverquerydocs/serverlist.txt
+share/teamspeak/server/serverquerydocs/messageget.txt
+share/teamspeak/server/serverquerydocs/servergroupdelclient.txt
+share/teamspeak/server/serverquerydocs/login.txt
+share/teamspeak/server/serverquerydocs/ftgetfileinfo.txt
+share/teamspeak/server/serverquerydocs/tokendelete.txt
+share/teamspeak/server/serverquerydocs/permissionlist.txt
+share/teamspeak/server/serverquerydocs/clientinfo.txt
+share/teamspeak/server/serverquerydocs/servernotifyunregister.txt
+share/teamspeak/server/serverquerydocs/serversnapshotcreate.txt
+share/teamspeak/server/serverquerydocs/channeladdperm.txt
+share/teamspeak/server/serverquerydocs/servergroupdel.txt
+share/teamspeak/server/serverquerydocs/use.txt
+share/teamspeak/server/serverquerydocs/banadd.txt
+share/teamspeak/server/serverquerydocs/serverstart.txt
+share/teamspeak/server/serverquerydocs/complainlist.txt
+share/teamspeak/server/serverquerydocs/serverstop.txt
+share/teamspeak/server/serverquerydocs/servergroupdelperm.txt
+share/teamspeak/server/serverquerydocs/channelinfo.txt
+share/teamspeak/server/serverquerydocs/hostinfo.txt
+share/teamspeak/server/serverquerydocs/privilegekeylist.txt
+share/teamspeak/server/serverquerydocs/clientdbinfo.txt
+share/teamspeak/server/serverquerydocs/banlist.txt
+share/teamspeak/server/serverquerydocs/channeldelperm.txt
+share/teamspeak/server/serverquerydocs/servergroupaddclient.txt
+share/teamspeak/server/serverquerydocs/complaindel.txt
+share/teamspeak/server/serverquerydocs/clientdelperm.txt
+share/teamspeak/server/serverquerydocs/servergroupcopy.txt
+share/teamspeak/server/serverquerydocs/clientgetnamefromdbid.txt
+share/teamspeak/server/serverquerydocs/channeldelete.txt
+share/teamspeak/server/serverquerydocs/channelclientpermlist.txt
+share/teamspeak/server/serverquerydocs/channelgroupaddperm.txt
+share/teamspeak/server/serverquerydocs/customsearch.txt
+share/teamspeak/server/serverquerydocs/clientgetids.txt
+share/teamspeak/server/serverquerydocs/tokenadd.txt
+share/teamspeak/server/serverquerydocs/bindinglist.txt
+share/teamspeak/server/serverquerydocs/clientupdate.txt
+share/teamspeak/server/serverquerydocs/ftrenamefile.txt
+share/teamspeak/server/serverquerydocs/complainadd.txt
+share/teamspeak/server/serverquerydocs/channelgrouppermlist.txt
+share/teamspeak/server/serverquerydocs/tokenlist.txt
+share/teamspeak/server/serverquerydocs/clientpoke.txt
+share/teamspeak/server/serverquerydocs/logview.txt
+share/teamspeak/server/serverquerydocs/serverinfo.txt
+share/teamspeak/server/serverquerydocs/serveredit.txt
+share/teamspeak/server/serverquerydocs/bandel.txt
+share/teamspeak/server/serverquerydocs/channellist.txt
+share/teamspeak/server/serverquerydocs/logadd.txt
+share/teamspeak/server/serverquerydocs/ftgetfilelist.txt
+share/teamspeak/server/serverquerydocs/ftstop.txt
+share/teamspeak/server/serverquerydocs/banclient.txt
+share/teamspeak/server/serverquerydocs/serverprocessstop.txt
+share/teamspeak/server/serverquerydocs/channelgroupadd.txt
+share/teamspeak/server/serverquerydocs/clientsetserverquerylogin.txt
+share/teamspeak/server/serverquerydocs/messagedel.txt
+share/teamspeak/server/serverquerydocs/privilegekeydelete.txt
+share/teamspeak/server/serverquerydocs/servergroupbyclientid.txt
+share/teamspeak/server/serverquerydocs/instanceinfo.txt
+share/teamspeak/server/serverquerydocs/channelgrouprename.txt
+share/teamspeak/server/serverquerydocs/clientedit.txt
+share/teamspeak/server/serverquerydocs/channelgroupcopy.txt
+share/teamspeak/server/serverquerydocs/servergroupadd.txt
+share/teamspeak/server/serverquerydocs/gm.txt
+share/teamspeak/server/serverquerydocs/setclientchannelgroup.txt
+share/teamspeak/server/serverquerydocs/clientpermlist.txt
+share/teamspeak/server/serverquerydocs/servergroupsbyclientid.txt
+share/teamspeak/server/serverquerydocs/quit.txt
+share/teamspeak/server/serverquerydocs/clientgetnamefromuid.txt
+share/teamspeak/server/serverquerydocs/clientdbedit.txt
+share/teamspeak/server/serverquerydocs/clientgetdbidfromuid.txt
+share/teamspeak/server/serverquerydocs/version.txt
+share/teamspeak/server/serverquerydocs/messageupdateflag.txt
+share/teamspeak/server/serverquerydocs/clientdbdelete.txt
+share/teamspeak/server/serverquerydocs/channelmove.txt
+share/teamspeak/server/serverquerydocs/ftcreatedir.txt
+share/teamspeak/server/serverquerydocs/channelgroupdel.txt
+share/teamspeak/server/serverquerydocs/channeledit.txt
+share/teamspeak/server/serverquerydocs/serverrequestconnectioninfo.txt
+share/teamspeak/server/serverquerydocs/channelgroupdelperm.txt
+share/teamspeak/server/serverquerydocs/channelclientdelperm.txt
+share/teamspeak/server/serverquerydocs/custominfo.txt
+share/teamspeak/server/serverquerydocs/clientlist.txt
+share/teamspeak/server/serverquerydocs/channelclientaddperm.txt
+share/teamspeak/server/serverquerydocs/ftlist.txt
+share/teamspeak/server/serverquerydocs/messagelist.txt
+share/teamspeak/server/serverquerydocs/clientdblist.txt
+share/teamspeak/server/serverquerydocs/instanceedit.txt
+share/teamspeak/server/serverquerydocs/servernotifyregister.txt
+share/teamspeak/server/serverquerydocs/permreset.txt
+share/teamspeak/server/serverquerydocs/channelgroupclientlist.txt
+share/teamspeak/server/serverquerydocs/permget.txt
+share/teamspeak/server/serverquerydocs/servergroupaddperm.txt
+share/teamspeak/server/serverquerydocs/permoverview.txt
+share/teamspeak/server/serverquerydocs/ftinitdownload.txt
+share/teamspeak/server/serverquerydocs/complaindelall.txt
+libexec/teamspeak_server
+@dirrm share/teamspeak/server/sql/create_mysql
+@dirrm share/teamspeak/server/sql/create_sqlite
+@dirrm share/teamspeak/server/sql
+@dirrm share/teamspeak/server/serverquerydocs
+@dirrm share/teamspeak/server
+@dirrmtry share/teamspeak
+@dirrmtry etc/teamspeak
+@unexec rmdir /var/db/teamspeak
+@unexec rmdir /var/log/teamspeak
